Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Problemino con Framework XP
#1
Buon giorno .
Problemino che ho stamattina.
Praticamente ho reinstallato XP Pro e fatto tutti gli aggiornamenti (il SP3 l'ho installato off line,ma è uguale)

Adesso lancio un setup di un programma e praticamente mi dice che non ho il Framework 2 installato. (ma nel pannello di controllo vedo che c'è il Framework 1.1)

Domanda: se installo direttamente il 4 va bene uguale o devo installare in ordine prima il 2 - poi il 3,5 - e poi il 4?

PS. Se ci sono off line,mi dite quali scaricare e installare per primo,così mi conservo anche i setup.
Cita messaggio
#2
esegui questo tool di verifica net framework di MS per sincerarti davvero che siano stati installati correttamente, se non li vede montati allora devi provare a reinstallarli.
http://blogs.msdn.com/b/astebner/archive...99004.aspx
Si..in XP sarebbe meglio che prima montassi il 2 poi il 3 e infine il 3.5....e già a sto punto direi che potresti fermarti.

Citazione:Domanda: se installo direttamente il 4 va bene uguale o devo installare in ordine prima il 2 - poi il 3,5 - e poi il 4?
ufficialmente sarebbe retrocompatibile il 4....però per quanto riguarda i net framework funziona così:
- 1.x è indipendente, molto vecchio e quasi ormai obsoleto non ha senso nemmeno più montarlo, raramente troverai apps che lo usino.
- 2.x è in pratica collegato con il 3.0 e con il 3.5 in pratica sono in successione una evoluzione l'uno dell'altro...in XP li dovresti montare in successione invece se hai Vista dovresti avere solo integrati il 3.0 e montare i successivi..in Win7 c'è integrato il 3.5 ma sono retrocompatibili al 100% con le rispettive 3.x e 2.x.
- 4.x è di nuovo indipendente anche se ufficialmente retrocompatibile con i 2 e 3...ma può capitare che qualche apps che richiedano quelli vecchi in effetti non ne vogliano sapere di partire con solo il 4.

Addirittura da poche settimane, ad ottobre sono usciti ufficialmente i 4.5 e questi non sono nemmeno più compatibili con XP, si possono montare solo da Vista SP2 in avanti...ufficialmente sono compatibili con i 4.0 e li possono anche sostituire.
Cita messaggio
#3
Allora.
Al momento lo strumento per il rilevamento Framework,me li da tutti e due : il Framework 1,e il 2 ,ma perchè ho installato off line questi due file [dotnetfix ce lo avevo già da tempo nel cassettino attrezzi,ma non so nemmeno se ho fatto bene ad installarlo,mentre l'altro Netfx20SP2 l'ho scaricato pochi giorni fa] http://yfrog.com/5b2012111313h5526p

Facciamo una cosa.
Io ripristino l'immagine del SO pulito (insomma appena formattato e senza alcun aggiornamento ma solo il SP3 e ancora mai connesso in rete)

Ci sono questi pacchetti off line [in ordine di installazione però vorrei installarli] così rifaccio tutto d'accapo e per bene?
Cita messaggio
#4
Nel mentre non leggete su:ma è mai possibile che il Framework 2 pesa solo 6 MB? Huh http://www.microsoft.com/it-it/download/...x?id=20137

Quest'altro cos'è? http://www.microsoft.com/it-it/download/...x?id=16614

Non si capisce cosa installare e sopratutto in quale ordine.[Immagine: http://digilander.libero.it/le.faccine/f...010821.gif]
(Ma sta schifezza di update non li poteva dare in automatico come fa con Seven? )
Cita messaggio
#5
Nessun problema tanto se installi versioni più vecchie windows update te lo segnala dopo...però meglio che procedi per gradi monti il 2.0 SP2 e poi lanci windows update....il 3.0 SP2 e idem...il 3.5 SP1 e via ancora con windows update...questo perché nei net framework alcuni fix non si montano se prima non ci sono i fix precedenti...un casino...e persino MS dovette a volte ricorrere ad altri fix per ripristinare.
Il consiglio è crearti una versione unattended di XP che già includa tutti i net framework: http://www.istitutomajorana.it/forum/Thr...ALE-How-to

No il primo link che hai messo è per XPe (ossia XP Embedded) altra roba non centra con XP normale....il secondo link è vecchio...dovresti cercare il 2.0 SP2....a tal proposito non lo ricordo se i vari SP dei net framework includono anche i precedenti mmmm
Cita messaggio
#6
Saresti così gentile da mettermi i link in successione ,di cosa devo installare? Devo creare un immagine e non voglio correre il rischio di farla male . Idea
Cita messaggio
#7
Forse devo installare questo , appena reinstallato il SO? Huh

[Immagine: http://img26.imageshack.us/img26/1796/20...5h1811.png]

che a sua volta è sempre questo

[Immagine: http://img841.imageshack.us/img841/5421/...5h1658.png]
Cita messaggio
#8
Appena reinstallato XP SP3.
Si installa prima questo

(immagine http://yfrog.com/7e2012111315h4745p )



o prima questo? http://www.microsoft.com/it-it/download/...px?id=6523 (cliccando su download ,dice che è x64 Arrendersi )



Big GrinBig GrinBig Grin
Cita messaggio
#9
Ciao Nocturno, come ti a già detto Singolarity il miglior modo per avere un cd come quelli MSDN pulita e full aggiornata, e quella di usare questo modo qui http://www.istitutomajorana.it/forum/Thr...ALE-How-to

ma se per altri ragioni vuoi installare tutto dal dektop (manualmente) ect ect allora serve installare solo questi
Microsoft® .NET Framework Version 1.1 Redistributable Package
Microsoft .NET Framework versione 1.1 - Language Pack - Italiano
Microsoft .NET Framework 3.5 Service Pack 1 (pacchetto completo)
Microsoft .NET Framework 3.5 SP1 Language Pack ITA
Microsoft .NET Framework 4 (programma di installazione autonomo)
Microsoft .NET Framework 4 Full Language Pack (x86) ITA

Si il MU fa tutto in automatico, ma non il WU (Windows Udate), ma il MU (Microsoft Update), quando apri il WU vedi li di installare il MU e dopo lascialo fare il suo lavoro e dovrà installarti tutto questo e tutto altro in automatico, voglio dire lascia che veda microsoft che serve aggiornare o installare li ect ect

Ciao.
Cita messaggio
#10
(13-11-2012, 18:55 )OnePiece Ha scritto: Ciao Nocturno, come ti a già detto Singolarity il miglior modo per avere un cd come quelli MSDN pulita e full aggiornata, e quella di usare questo modo qui http://www.istitutomajorana.it/forum/Thr...ALE-How-to
Un macello per leggere il tutto :-(
Citazione: se per altri ragioni vuoi installare tutto dal dektop (manualmente) ect ect allora serve installare solo questi
Microsoft® .NET Framework Version 1.1 Redistributable Package
Microsoft .NET Framework versione 1.1 - Language Pack - Italiano
Microsoft .NET Framework 3.5 Service Pack 1 (pacchetto completo)
Microsoft .NET Framework 3.5 SP1 Language Pack ITA
Microsoft .NET Framework 4 (programma di installazione autonomo)
Microsoft .NET Framework 4 Full Language Pack (x86) ITA
Grazie ,sei gentilissimo Exclamation
Citazione:Si il MU fa tutto in automatico, ma non il WU (Windows Udate), ma il MU (Microsoft Update), quando apri il WU vedi li di installare il MU e dopo lascialo fare il suo lavoro
E in che modo si installa il MU Huh
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)